gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000217

Mozilla 製品に sidebar.addSearchEngine を使用する検索プラグインにおいて任意のスクリプトやコードを実行される脆弱性

7.5
2007/04/01 00:00
CVE-2005-1156

JVNDB-2005-000217

Mozilla 製品に sidebar.addSearchEngine を使用する検索プラグインにおいて任意のスクリプトやコードを実行される脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ Mozilla Suite 1.7.6 以前、Firefox 1.0.2 以前 には、以下の複数のセキュリティ上の問題が存在します。 1) プラグイン検索サービス (PFS) で使用される PLUGINSPAGE 属性には、URL の妥当性のチェックに不備が存在するため、javascript: 形式の URL を指定することで、任意の JavaScript が実行される問題が存在します。(CAN-2005-0752、mfsa2005-34) 尚、Mozilla Suite に同梱される PFS はこの問題の影響を受けないことが Mozilla Foundation より報告されています。 2) ブロックされた javascript: 形式のポップアップを、ステータスバーのアイコンや情報バーで [javascript: …を表示する] を選択して表示した場合、より高い権限で JavaScript が実行されてしまう問題が存在します。(CAN-2005-1153、mfsa2005-35) 3) ページ間で存続可能な方法でウィンドウのグローバルスコープを汚染することでクロスサイトスクリプティング攻撃が可能であるため、Cookie やページの内容が奪取される、また場合によっては商品の購入やメールの削除などのユーザアクションが実行される問題が存在します。(CAN-2005-1154、mfsa2005-36) 4) favicon (ブックマークアイコン) 機能で使用される link タグの href 属性に javascript: 形式の URL を指定することにより、より高い権限で任意の JavaScript が実行される問題が存在します。(CAN-2005-1155、mfsa2005-37) 5) 既存の検索プラグインと同じファイル名を用いた悪質なプラグインが、既存のものを上書きするため、悪質な検索プラグインにより検索を実行するたびに、表示されたページの権限で任意の JavaScript が実行される問題が存在します。(CAN-2005-1156、CAN-2005-1157、mfsa2005-38) 6) Firefox のサイドバーでリンクを開くために _search ターゲットを使用する場合のセキュリティチェックに不備が存在するため、about:config などの権限付きページを不正に開き、javascript: 形式の URL を使用してスクリプトを挿入可能な問題が存在します。(CAN-2005-1158、mfsa2005-39) 尚、Mozilla Suite はこの問題の影響を受けないことが Mozilla Foundation より報告されています。 7) InstallTrigger などの XPInstall 関連の JavaScript オブジェクトの実装において、呼び出すインスタンスの形式が適切に検証されていないため、他のオブジェクトを渡された場合に、JavaScript インタプリタがメモリ内の誤った場所にジャンプしてしまう問題が存在します。(CAN-2005-1159、mfsa2005-40) 8) 特権付き UI コードにおいて、コンテンツウィンドウの DOM ノードの検証が不適切であるため、DOM ノードのプロパティやメソッドを上書きし、ネイティブの値を隠蔽することによって権限昇格が可能な問題が存在します。(CAN-2005-1160、mfsa2005-41) これらの問題を利用するリモートの攻撃者は、意図的に作成した Web サイトに標的ユーザを誘導することにより、結果的に重要な情報を奪取する、権限を昇格する、または任意のコードを実行する可能性があります。また、潜在的に商品の購入やメールの削除などのユーザアクションが実行される可能性があります。 尚、Thunderbird 1.0.2 以前が CAN-2005-1159、CAN-2005-1160 の問題の影響を受けることが Mozilla Foundation より報告されています。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2005-000217は、ベンダ情報及び参考情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度7.5N/A
CVECVE-2005-1156
公表日2005/03/31 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。